import * as tslib_1 from "tslib";
import ADialog from './ADialog';
import { cssClass } from '../../styles';
/** @internal */
var ShowTopNDialog = /** @class */ (function (_super) {
    tslib_1.__extends(ShowTopNDialog, _super);
    function ShowTopNDialog(provider, dialog) {
        var _this = _super.call(this, dialog) || this;
        _this.provider = provider;
        _this.before = _this.provider.getShowTopN();
        return _this;
    }
    ShowTopNDialog.prototype.build = function (node) {
        node.classList.add(cssClass('dialog-rename'));
        node.insertAdjacentHTML('beforeend', "\n      <input type=\"number\" min=\"0\" step=\"1\" value=\"" + this.before + "\">");
        this.enableLivePreviews('input');
    };
    ShowTopNDialog.prototype.cancel = function () {
        this.provider.setShowTopN(this.before);
    };
    ShowTopNDialog.prototype.submit = function () {
        var value = this.findInput('input').valueAsNumber;
        this.provider.setShowTopN(value);
        return true;
    };
    ShowTopNDialog.prototype.reset = function () {
        var defaultValue = 10;
        this.findInput('input').value = defaultValue.toString();
    };
    return ShowTopNDialog;
}(ADialog));
export default ShowTopNDialog;
//# sourceMappingURL=ShowTopNDialog.js.map